summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/sb-iplocate
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-12-25 08:02:50 -0500
committerLuke Smith <luke@lukesmith.xyz>2020-12-25 08:02:50 -0500
commit2619a88fcd94cbd4b2caa719ba926ae0013fb4ec (patch)
treeacb240c6afee6a3ee15cf64c9788b5ed053ebe97 /.local/bin/statusbar/sb-iplocate
parent741e9298bd7b0dabeea26dfe039274afca572f6d (diff)
downloadeibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.tar.gz
eibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.tar.zst
eibhear-2619a88fcd94cbd4b2caa719ba926ae0013fb4ec.zip
statusbar scripts now with sb- to avoid conflicts
update dwmblocks build to avoid errors
Diffstat (limited to '.local/bin/statusbar/sb-iplocate')
-rwxr-xr-x.local/bin/statusbar/sb-iplocate10
1 files changed, 10 insertions, 0 deletions
diff --git a/.local/bin/statusbar/sb-iplocate b/.local/bin/statusbar/sb-iplocate
new file mode 100755
index 0000000..02adab8
--- /dev/null
+++ b/.local/bin/statusbar/sb-iplocate
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Gets your public ip address checks which country you are in and
+# displays that information in the statusbar
+#
+# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
+
+ifinstalled "geoip" || exit
+addr="$(curl ifconfig.me 2>/dev/null)" || exit
+grep "flag: " "${XDG_DATA_HOME:-$HOME/.local/share}/larbs/emoji" | grep "$(geoiplookup "$addr" | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"